Bug 1510917 (CVE-2017-15370)

Summary: CVE-2017-15370 sox: Heap-based buffer overflow in the ImaExpandS function
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: felix, fkluknav, hhorak, hobbes1069, jkucera, jmoskovc
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-05 12:23:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1510925    
Bug Blocks:    

Description Andrej Nemec 2017-11-08 12:49:46 UTC
There is a heap-based buffer overflow in the ImaExpandS function of ima_rw.c in Sound eXchange (SoX) 14.4.2. A Crafted input will lead to a denial of service attack during conversion of an audio file.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1500554

Comment 1 Andrej Nemec 2017-11-08 12:57:15 UTC
Created sox tracking bugs for this issue:

Affects: fedora-all [bug 1510925]

Comment 2 Jiri Kucera 2018-01-11 00:50:03 UTC
The patch that resolves bug https://bugzilla.redhat.com/show_bug.cgi?id=1500554 has been added.

Comment 3 Jiri Kucera 2018-04-05 12:23:59 UTC
Fixed in sox-14.4.2.0-14.fc26 and sox-14.4.2.0-14.fc27.